#
# Conditional build:
%bcond_without	tests		# build without tests

%define		pdir	Apache
%define		pnam	LogFormat-Compiler
%include	/usr/lib/rpm/macros.perl
Summary:	Apache::LogFormat::Compiler - Compile a log format string to perl-code
Name:		perl-Apache-LogFormat-Compiler
Version:	0.13
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fd04ee3f4c2164b7f7909d85f11e467a
URL:		http://search.cpan.org/dist/Apache-LogFormat-Compiler/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compile a log format string to Perl-code. For faster generation of
access_log lines.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
		destdir=$RPM_BUILD_ROOT \
		installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/%{pdir}/LogFormat
%{perl_vendorlib}/%{pdir}/LogFormat/*.pm
%{_mandir}/man3/*.3*
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Apache-LogFormat-Compiler.git;a=log;h=auto/th/perl-Apache-LogFormat-Compiler-0.13-2

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 81a5de5
- x32 rebuild
- release 2 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> a2fb433
- use generic url

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e1aca19
- initial

